package com.hai.dao;

import com.hai.model.OutRechargeOrderModel;
import org.apache.ibatis.annotations.Select;

import java.util.List;
import java.util.Map;

/**
 * mapper扩展类
 */
public interface OutRechargeOrderMapperExt {
    
    @Select({
           "SELECT" +
                   " a.order_no orderNo," +
                   " a.user_name userName," +
                   " a.user_phone userPhone," +
                   " case a.recharge_model when 1 then '话费充值' when 2 then '中石化' when 3 then '中石油' end rechargeModelName," +
                   " a.recharge_content rechargeContent," +
                   " a.recharge_name rechargeName," +
                   " a.id_card rechargeIdCard," +
                   " a.remarks remarks," +
                   " case a.pay_type when 1 then '支付方式' end payTypeName," +
                   " a.order_price orderPrice," +
                   " a.pay_price payPrice," +
                   " a.pay_real_price payRealPrice," +
                   " case a.status when 1 then '待支付' when 2 then '已支付' when 3 then '已完成' when 4 then '已取消' when 5 then '已退款' end statusName," +
                   " a.create_timed createTime," +
                   " a.pay_time payTime," +
                   " a.cancel_time cancelTime," +
                   " a.finish_time finishTime," +
                   " a.refund_time refundTime," +
                   " a.refund_fee refundFee," +
                   " a.out_refund_no outRefundNo," +
                   " a.refund_id refundId" +
                   " FROM" +
                   " out_recharge_order a " +
                   " ORDER BY" +
                   " a.create_timed DESC"
    })
    List<OutRechargeOrderModel> selectOrderCount(Map<String,Object> map);
}